using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Api.Sdk
{
    public static class HotlineSdkStartupExtensions
    {
        public static IServiceCollection AddHotlineSdk(this IServiceCollection services, string baseUrl, string apiKey, string apiSecret)
        {
            services.AddSingleton<IHotlineClient, HotlineClient>(_ => new HotlineClient(baseUrl, apiKey, apiSecret));
            return services;
        }
    }
}
